VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits Class Reference

`Snmp.SNMPLimits` class Structure that provides various limits of the SNMP agent. More...

List of all members.

## Public Member Functions
| SNMPLimits ()
| Creates a default new instance.
long | GetMaxCommunities ()
| Set up maximum communities limit.
void | SetMaxCommunities (long maxCommunities)
| Set up maximum communities limit.
long | GetMaxTrapDestinationsV1 ()
| Set up max trap destinations limit.
void | SetMaxTrapDestinationsV1 (long maxTrapDestinationsV1)
| Set up max trap destinations limit.
long | GetMaxDestinationsV3 ()
| Set up max destinations limit.
void | SetMaxDestinationsV3 (long maxDestinationsV3)
| Set up max destinations limit.
long | GetMaxNotificationFilters ()
| Set up max notification Filters.
void | SetMaxNotificationFilters (long maxNotificationFilters)
| Set up max notification Filters.
long | GetMaxCommunityLength ()
| Set up max community length.
void | SetMaxCommunityLength (long maxCommunityLength)
| Set up max community length.
long | GetMaxBufferSize ()
| Set up max buffer size.
void | SetMaxBufferSize (long maxBufferSize)
| Set up max buffer size.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Snmp.SNMPLimits` class Structure that provides various limits of the SNMP agent.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::SNMPLimits | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::Equals | ( | object | obj | ) | `[inline]`

override int vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::GetHashCode | ( |  | ) | `[inline]`

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::GetMaxBufferSize | ( |  | ) | `[inline]`

Set up max buffer size.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::GetMaxCommunities | ( |  | ) | `[inline]`

Set up maximum communities limit.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::GetMaxCommunityLength | ( |  | ) | `[inline]`

Set up max community length.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::GetMaxDestinationsV3 | ( |  | ) | `[inline]`

Set up max destinations limit.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::GetMaxNotificationFilters | ( |  | ) | `[inline]`

Set up max notification Filters.

long vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::GetMaxTrapDestinationsV1 | ( |  | ) | `[inline]`

Set up max trap destinations limit.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::SetMaxBufferSize | ( | long | maxBufferSize | ) | `[inline]`

Set up max buffer size.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::SetMaxCommunities | ( | long | maxCommunities | ) | `[inline]`

Set up maximum communities limit.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::SetMaxCommunityLength | ( | long | maxCommunityLength | ) | `[inline]`

Set up max community length.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::SetMaxDestinationsV3 | ( | long | maxDestinationsV3 | ) | `[inline]`

Set up max destinations limit.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::SetMaxNotificationFilters | ( | long | maxNotificationFilters | ) | `[inline]`

Set up max notification Filters.

void vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::SetMaxTrapDestinationsV1 | ( | long | maxTrapDestinationsV1 | ) | `[inline]`

Set up max trap destinations limit.

override string vmware::appliance::techpreview::monitoring::SnmpTypes::SNMPLimits::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- SnmpTypes.cs